# Molude, a Prelude Replacement

Welcome to [Molude, a Prelude Replacement][Molude]. It focuses on a few core ideas:

- Support for GHC 8 and later
- Yaml configuration
- JSON and JSON Schemas
- Normalized Unicode everywhere
- Lenses and default Aeson encodings for generated datastructures.
- Easy Generic and Typeable deriving.

It's based on [protolude][protolude], [lenses][lenses], and tries to
extend on them as much as possible.

[Molude]: https://gitlab.com/misandrist/libmolude

[protolude]: https://github.com/sdiehl/protolude

[lenses]: https://hackage.haskell.org/package/lens
